Debian Bug report logs - #490903
regression: kernel panic on boot with megaraid_mbox driver

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: cshore@brucetelecom.com

Date: Tue, 15 Jul 2008 07:42:10 UTC

Severity: important

Tags: fixed-upstream, unreproducible, upstream

Found in versions linux-2.6/2.6.25-6, linux-2.6/2.6.26-1

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=11194

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@fionavar.ca>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@fionavar.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: regression: kernel panic on boot with megaraid_mbox driver
Date: Tue, 15 Jul 2008 03:25:10 -0400
Package: linux-image-2.6.25-2-686
Version: 2.6.25-6
Severity: important


I just attempted to upgrade to 2.6.25-2-686 and discovered that if .25 were released as is, I'd be unable to use debian on this system.  The kernel panics during boot.  It happens after entering cryptsetup password and occurs in the megaraid_mbox driver.  Based on when it happens and the driver it happens to I am guessing it is a result of the st tape driver (the part that (used to?) gives the block count and such.  (The inital st driver load seems to be okay, although the messages scroll by too quickly for me to be sure, but if it loads at the same time as before the load of st driver succeeds, but when it tries to attach to a specific drive it panics.

This is a Dell PERC3/DC RAID controller which is basically an AMI MegaRAID Elite 1600.  I, however, have one channel for the RAID, and a second channel for a scanner and tape drive (non-RAID).  It works fine with 2.6.24-1-686 which I am back to using for now.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92e      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.25-2-686 recommends:
ii  libc6-i686                    2.7-10     GNU C Library: Shared libraries [i

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-686/preinst/abort-install-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/overwriting-modules-2.6.25-2-686: true
  linux-image-2.6.25-2-686/prerm/would-invalidate-boot-loader-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/elilo-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/bootloader-test-error-2.6.25-2-686:
  linux-image-2.6.25-2-686/postinst/depmod-error-initrd-2.6.25-2-686: false
  linux-image-2.6.25-2-686/preinst/bootloader-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-686/postinst/old-initrd-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/prerm/removing-running-kernel-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/bootloader-error-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/initrd-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/lilo-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/old-system-map-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/create-kimage-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/old-dir-initrd-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/abort-overwrite-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/failed-to-move-modules-2.6.25-2-686:
  linux-image-2.6.25-2-686/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-686/postinst/depmod-error-2.6.25-2-686: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@fionavar.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 490903@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@fionavar.ca>
To: Debian Bug Tracking System <490903@bugs.debian.org>
Subject: linux-image-2.6.25-2-686: It's the scanner that confuses the kernel
Date: Tue, 15 Jul 2008 22:23:34 -0400
Package: linux-image-2.6.25-2-686
Version: 2.6.25-6
Followup-For: Bug #490903


I just did a boot with the SCSI-2 scanner disconnected and 2.6.25-2 boots sucessfully in that configuration with the megaraid.  I suspect it is the SCSI-2 scanner as a non-RAID device on channel 2 that is confusing the megaraid_mbox driver.  It worked with 2.6.24-1 though, so it is still a regression, just not as serious since it means I can't use my scanner, but can use my tape drive and channel 1 raid array.

The scanner is connected with adaptors and cable that allow the SE SCSI-2 scanner to connect to the LVD Ultra-2 RAID controller (not custom stuff though) (with the controller configured for SCSI-2 Fast).

-- Package-specific info:
** Version:
Linux version 2.6.25-2-686 (Debian 2.6.25-6) (maks@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Fri Jun 27 03:23:20 UTC 2008

** Command line:
root=/dev/mapper/Brennin-Root ro rootdelay=10 

** Not tainted

** Kernel log:
[   10.888197] sd 1:0:0:0: [sdb] Assuming drive cache: write through
[   10.888197]  sdb: sdb1
[   10.894878] sd 1:0:0:0: [sdb] Attached SCSI removable disk
[   11.379653] sd 2:0:0:0: [sdc] 7870464 512-byte hardware sectors (4030 MB)
[   11.386496] sd 2:0:0:0: [sdc] Write Protect is off
[   11.386496] sd 2:0:0:0: [sdc] Mode Sense: 03 00 00 00
[   11.386496] sd 2:0:0:0: [sdc] Assuming drive cache: write through
[   11.396434] sd 2:0:0:0: [sdc] 7870464 512-byte hardware sectors (4030 MB)
[   11.401293] sd 2:0:0:0: [sdc] Write Protect is off
[   11.401293] sd 2:0:0:0: [sdc] Mode Sense: 03 00 00 00
[   11.401293] sd 2:0:0:0: [sdc] Assuming drive cache: write through
[   11.401298]  sdc: sdc1
[   11.411373] sd 2:0:0:0: [sdc] Attached SCSI removable disk
[   15.882880] device-mapper: uevent: version 1.0.3
[   15.885300] device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
[   35.433628] PM: Starting manual resume from disk
[   35.479727] EXT3-fs: INFO: recovery required on readonly filesystem.
[   35.479727] EXT3-fs: write access will be enabled during recovery.
[   35.489013] kjournald starting.  Commit interval 5 seconds
[   35.489013] EXT3-fs: recovery complete.
[   35.510703] EXT3-fs: mounted filesystem with ordered data mode.
[   37.793889] udevd version 124 started
[   39.362024] Linux agpgart interface v0.103
[   39.398057] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   39.435851] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   39.478260] agpgart: Detected an Intel 845G Chipset.
[   39.485786] agpgart: AGP aperture is 128M @ 0xf0000000
[   39.590967] ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 17 (level, low) -> IRQ 17
[   39.631742] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.02 (26-Jul-2007)
[   39.631895] iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
[   39.631966] iTCO_wdt: No card detected
[   39.668223] input: Power Button (FF) as /class/input/input1
[   39.696295] ACPI: Power Button (FF) [PWRF]
[   39.696462] input: Power Button (CM) as /class/input/input2
[   39.728300] ACPI: Power Button (CM) [PWRB]
[   39.932366] intel_rng: FWH not detected
[   41.193428] usblp0: USB Bidirectional printer dev 4 if 0 alt 0 proto 2 vid 0x04B8 pid 0x0005
[   41.199192] usblp1: USB Bidirectional printer dev 5 if 0 alt 0 proto 2 vid 0x03F0 pid 0x3F17
[   41.199301] usbcore: registered new interface driver usblp
[   41.638203] input: PC Speaker as /class/input/input3
[   41.975523] rtc_cmos 00:05: rtc core: registered rtc_cmos as rtc0
[   41.975621] rtc0: alarms up to one month
[   42.241961] gameport: NS558 PnP Gameport is pnp00:10/gameport0, io 0x200, speed 774kHz
[   42.524894] input: ImPS/2 Logitech Wheel Mouse as /class/input/input4
[   42.536707] ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 17 (level, low) -> IRQ 17
[   42.536845] PCI: Setting latency timer of device 0000:00:1f.5 to 64
[   42.555706] parport_pc 00:09: reported by Plug and Play ACPI
[   42.555825] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
[   42.860415] intel8x0_measure_ac97_clock: measured 54912 usecs
[   42.860480] intel8x0: clocking to 48000
[   43.039919] no PnP irq, using polling
[   48.545068] st0: Block limits 1 - 16777215 bytes.
[   49.385680] EXT3 FS on dm-1, internal journal
[   49.722337] loop: module loaded
[   50.020367] QEMU Accelerator Module version 1.3.0, Copyright (c) 2005-2007 Fabrice Bellard
[   50.020507] KQEMU installed, max_locked_mem=518140kB.
[   50.082655] tun: Universal TUN/TAP device driver, 1.6
[   50.082655] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   50.151384] fuse init (API version 7.9)
[   50.250178] aufs 20080609
[   53.985367] kjournald starting.  Commit interval 5 seconds
[   53.994289] EXT3 FS on sda1, internal journal
[   53.994289] EXT3-fs: mounted filesystem with ordered data mode.
[   54.066703] kjournald starting.  Commit interval 5 seconds
[   54.085339] EXT3 FS on dm-7, internal journal
[   54.085339] EXT3-fs: mounted filesystem with ordered data mode.
[   54.117054] kjournald starting.  Commit interval 5 seconds
[   54.132608] EXT3 FS on dm-5, internal journal
[   54.132608] EXT3-fs: mounted filesystem with ordered data mode.
[   54.158264] kjournald starting.  Commit interval 5 seconds
[   54.173336] EXT3 FS on dm-3, internal journal
[   54.173336] EXT3-fs: mounted filesystem with ordered data mode.
[   54.198945] kjournald starting.  Commit interval 5 seconds
[   54.213881] EXT3 FS on dm-4, internal journal
[   54.213881] EXT3-fs: mounted filesystem with ordered data mode.
[   54.279575] kjournald starting.  Commit interval 5 seconds
[   54.303879] EXT3 FS on dm-6, internal journal
[   54.303879] EXT3-fs: mounted filesystem with ordered data mode.
[   54.595234] aufs test_add:370:mount[2089]: uid/gid/perm /var/local/aufs/rkhunterdb_ro 0/0/0755, 0/0/01777
[   57.835990] Adding 1048568k swap on /dev/mapper/Brennin-Swap.  Priority:-1 extents:1 across:1048568k
[   59.275071] Bridge firewalling registered
[   59.277623] br0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
[   60.770488] eth0:  setting full-duplex.
[   61.220830] RPC: Registered udp transport module.
[   61.220901] RPC: Registered tcp transport module.
[   67.881437] NET: Registered protocol family 10
[   67.882341] lo: Disabled Privacy Extensions
[   68.125870] lp0: using parport0 (interrupt-driven).
[   68.287397] ppdev: user-space parallel port driver
[   74.339182] warning: `ntpd' uses 32-bit capabilities (legacy support in use)
[   79.181157] eth0: no IPv6 routers present
[   79.379564] br0: no IPv6 routers present
[   86.106579] [drm] Initialized drm 1.1.0 20060810
[   86.122983] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
[   86.123104] [drm] Initialized radeon 1.28.0 20060524 on minor 0
[   88.503637] agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
[   88.503679] agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
[   88.503702] agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
[   89.008856] [drm] Setting GART location based on new memory map
[   89.008933] [drm] writeback test succeeded in 2 usecs

** Loaded modules:
Module                  Size  Used by
radeon                113152  2 
drm                    72280  3 radeon
binfmt_misc            11144  1 
ppdev                   8676  0 
lp                     11012  0 
ipv6                  241956  34 
video                  19728  0 
output                  3712  1 video
ac                      4448  0 
battery                 8448  0 
nfs                   225128  0 
lockd                  59752  1 nfs
nfs_acl                 3520  1 nfs
sunrpc                171872  6 nfs,lockd,nfs_acl
bridge                 47544  0 
ext2                   64712  2 
aufs                  114164  1 
nls_utf8                2080  0 
nls_base                7268  1 nls_utf8
fuse                   44348  51 
tun                    10976  0 
kqemu                 128740  0 
w83781d                28904  0 
hwmon_vid               3040  1 w83781d
loop                   16708  0 
snd_mpu401              7848  0 
snd_mpu401_uart         7968  1 snd_mpu401
snd_seq_dummy           3780  0 
snd_seq_oss            28544  0 
snd_seq_midi            8064  0 
snd_seq_midi_event      6976  2 snd_seq_oss,snd_seq_midi
snd_intel8x0           31740  2 
snd_seq                45872  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_ac97_codec         91300  1 snd_intel8x0
ac97_bus                1952  1 snd_ac97_codec
snd_pcm_oss            37824  0 
snd_mixer_oss          14880  1 snd_pcm_oss
snd_rawmidi            22528  2 snd_mpu401_uart,snd_seq_midi
snd_pcm                68228  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_device          7564  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq,snd_rawmidi
ns558                   4608  0 
snd_timer              21320  2 snd_seq,snd_pcm
gameport               14124  2 ns558
parport_pc             25860  1 
parport                33868  3 ppdev,lp,parport_pc
rtc_cmos               10304  0 
rtc_core               17532  1 rtc_cmos
rtc_lib                 2976  1 rtc_core
psmouse                35920  0 
pcspkr                  3136  0 
serio_raw               6532  0 
snd                    48772  16 snd_mpu401,snd_mpu401_uart,snd_seq_oss,snd_intel8x0,snd_seq,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_rawmidi,snd_pcm,snd_seq_device,snd_timer
soundcore               7488  1 snd
snd_page_alloc          9992  2 snd_intel8x0,snd_pcm
usblp                  13664  0 
rng_core                4900  0 
button                  8240  0 
iTCO_wdt               11204  0 
i2c_i801                9520  0 
i2c_core               22548  2 w83781d,i2c_i801
intel_agp              25084  1 
shpchp                 29716  0 
pci_hotplug            26980  1 shpchp
agpgart                31720  2 drm,intel_agp
evdev                  11328  3 
ext3                  120360  7 
jbd                    43444  1 ext3
mbcache                 8260  2 ext2,ext3
sha256_generic         11520  0 
aes_i586                8256  2 
aes_generic            29160  1 aes_i586
cbc                     4256  1 
dm_crypt               14788  1 
crypto_blkcipher       18116  3 cbc,dm_crypt
dm_mirror              25316  0 
dm_snapshot            17444  0 
dm_mod                 55656  20 dm_crypt,dm_mirror,dm_snapshot
sd_mod                 26072  7 
st                     34716  0 
osst                   47516  0 
ide_cd_mod             32864  0 
cdrom                  31872  1 ide_cd_mod
ide_pci_generic         4228  0 [permanent]
usb_storage            76896  2 
piix                    7176  0 [permanent]
ide_core              100312  3 ide_cd_mod,ide_pci_generic,piix
floppy                 53284  0 
megaraid_mbox          29776  2 
megaraid_mm            10428  1 megaraid_mbox
ata_generic             8004  0 
qla1280               115532  0 
uhci_hcd               22352  0 
libata                142288  1 ata_generic
3c59x                  39976  0 
mii                     5248  1 3c59x
usbcore               130032  4 usblp,usb_storage,uhci_hcd
scsi_mod              138668  7 sd_mod,st,osst,usb_storage,megaraid_mbox,qla1280,libata
dock                   10448  1 libata
thermal                19100  0 
processor              39660  1 thermal
fan                     5636  1 

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82845 845 [Brookdale] Chipset Host Bridge [8086:1a30] (rev 04)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8070]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation 82845 845 [Brookdale] Chipset AGP Bridge [8086:1a31] (rev 04)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: df000000-dfcfffff
	Prefetchable memory behind bridge: e7f00000-efffffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 05)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=04, sec-latency=32
	I/O behind bridge: 0000a000-0000bfff
	Memory behind bridge: de800000-deffffff
	Prefetchable memory behind bridge: dfd00000-e7efffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:1f.0 ISA bridge [0601]: Intel Corporation 82801BA ISA Bridge (LPC) [8086:2440] (rev 05)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel modules: intel-rng, iTCO_wdt

00:1f.1 IDE interface [0101]: Intel Corporation 82801BA IDE U100 Controller [8086:244b] (rev 05) (prog-if 80 [Master])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8028]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at 9800 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix

00:1f.2 USB Controller [0c03]: Intel Corporation 82801BA/BAM USB Controller #1 [8086:2442] (rev 05)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8028]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 9400 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1f.3 SMBus [0c05]: Intel Corporation 82801BA/BAM SMBus Controller [8086:2443] (rev 05)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8028]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at e800 [size=16]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

00:1f.4 USB Controller [0c03]: Intel Corporation 82801BA/BAM USB Controller #1 [8086:2444] (rev 05)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8028]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 23
	Region 4: I/O ports at 9000 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801BA/BAM AC'97 Audio Controller [8086:2445] (rev 05)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 8800 [size=256]
	Region 1: I/O ports at 8400 [size=64]
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE] [1002:5159]
	Subsystem: C.P. Technology Co. Ltd Device [148c:2037]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at d800 [size=256]
	Region 2: Memory at df000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at e7fe0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel modules: radeonfb

02:09.0 PCI bridge [0604]: Digital Equipment Corporation DECchip 21154 [1011:0026] (rev 05)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=02, secondary=03, subordinate=04, sec-latency=32
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: de800000-deffffff
	Prefetchable memory behind bridge: 00000000dfe00000-00000000e7efffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

02:0a.0 Ethernet controller [0200]: 3Com Corporation 3c905 100BaseTX [Boomerang] [10b7:9050]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (750ns min, 2000ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at a800 [size=64]
	[virtual] Expansion ROM at dfd00000 [disabled] [size=64K]
	Kernel driver in use: 3c59x
	Kernel modules: 3c59x

02:0c.0 Serial controller [0700]: 3Com Corp, Modem Division 56K FaxModem Model 5610 [12b9:1008] (rev 01) (prog-if 02)
	Subsystem: 3Com Corp, Modem Division Device [12b9:00aa]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at a400 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: serial

03:00.0 PCI bridge [0604]: Digital Equipment Corporation DECchip 21154 [1011:0026] (rev 05)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=03, secondary=04, subordinate=04, sec-latency=32
	Memory behind bridge: de900000-de9fffff
	Prefetchable memory behind bridge: 00000000dff00000-00000000e7efffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

03:01.0 SCSI storage controller [0100]: QLogic Corp. ISP12160 Dual Channel Ultra3 SCSI Processor [1077:1216] (rev 06)
	Subsystem: American Megatrends Inc. Device [101e:8493]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (16000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 9
	Region 0: I/O ports at b800 [size=256]
	Region 1: Memory at de800000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at dfe00000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel modules: qla1280

04:00.0 RAID bus controller [0104]: American Megatrends Inc. MegaRAID [101e:1960] (rev 20)
	Subsystem: Dell Device [1028:0493]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=64M]
	[virtual] Expansion ROM at dff00000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: megaraid
	Kernel modules: megaraid_mbox



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92e      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.25-2-686 recommends:
ii  libc6-i686                    2.7-10     GNU C Library: Shared libraries [i

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-686/preinst/abort-install-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/overwriting-modules-2.6.25-2-686: true
  linux-image-2.6.25-2-686/prerm/would-invalidate-boot-loader-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/elilo-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/bootloader-test-error-2.6.25-2-686:
  linux-image-2.6.25-2-686/postinst/depmod-error-initrd-2.6.25-2-686: false
  linux-image-2.6.25-2-686/preinst/bootloader-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-686/postinst/old-initrd-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/prerm/removing-running-kernel-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/bootloader-error-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/initrd-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/lilo-initrd-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/old-system-map-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/create-kimage-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/postinst/old-dir-initrd-link-2.6.25-2-686: true
  linux-image-2.6.25-2-686/preinst/abort-overwrite-2.6.25-2-686:
  linux-image-2.6.25-2-686/preinst/failed-to-move-modules-2.6.25-2-686:
  linux-image-2.6.25-2-686/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-686/postinst/depmod-error-2.6.25-2-686: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 490903@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Daniel Dickinson <cshore@fionavar.ca>, 490903@bugs.debian.org
Subject: Re: Bug#490903: linux-image-2.6.25-2-686: It's the scanner that confuses the kernel
Date: Wed, 16 Jul 2008 10:57:44 +0200
On Tue, 15 Jul 2008, Daniel Dickinson wrote:

> Package: linux-image-2.6.25-2-686
> Version: 2.6.25-6
> Followup-For: Bug #490903
> 
> 
> I just did a boot with the SCSI-2 scanner disconnected and 2.6.25-2 boots sucessfully in that configuration with the megaraid.  I suspect it is the SCSI-2 scanner as a non-RAID device on channel 2 that is confusing the megaraid_mbox driver.  It worked with 2.6.24-1 though, so it is still a regression, just not as serious since it means I can't use my scanner, but can use my tape drive and channel 1 raid array.
> 
> The scanner is connected with adaptors and cable that allow the SE SCSI-2 scanner to connect to the LVD Ultra-2 RAID controller (not custom stuff though) (with the controller configured for SCSI-2 Fast).
> 

can you try out 2.6.26 see trunk apt lines
-> http://wiki.debian.org/DebianKernel

thanks

-- 
maks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@wightman.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 490903@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@wightman.ca>
To: 490903@bugs.debian.org
Subject: It's not the scanner
Date: Fri, 25 Jul 2008 16:10:51 -0400
Hi,

Sorry for the delay.  My internet has been down for a while and won't  
be back until at least Wednesday.  I am unable to the the .26 kernel  
until then, but I do know that it is not the scanner because I have  
had to boot using .24 because even with the scanner removed I get the  
kernel panic on boot with .25.   I guess it is somewhat intermittent.

I can also confirm that it is happening during st driver initialization.

Regards,

Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@fionavar.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 490903@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@fionavar.ca>
To: maximilian attems <max@stro.at>
Cc: 490903@bugs.debian.org
Subject: Re: Bug#490903: linux-image-2.6.25-2-686: It's the scanner that confuses the kernel
Date: Thu, 31 Jul 2008 02:27:10 -0400
[Message part 1 (text/plain, inline)]
On Wed, 16 Jul 2008 10:57:44 +0200
maximilian attems <max@stro.at> wrote:

> On Tue, 15 Jul 2008, Daniel Dickinson wrote:
> 
> > Package: linux-image-2.6.25-2-686
> > Version: 2.6.25-6
> > Followup-For: Bug #490903
> > 
> > 
> > I just did a boot with the SCSI-2 scanner disconnected and 2.6.25-2
> > boots sucessfully in that configuration with the megaraid.  I
> > suspect it is the SCSI-2 scanner as a non-RAID device on channel 2
> > that is confusing the megaraid_mbox driver.  It worked with
> > 2.6.24-1 though, so it is still a regression, just not as serious
> > since it means I can't use my scanner, but can use my tape drive
> > and channel 1 raid array.
> > 
> > The scanner is connected with adaptors and cable that allow the SE
> > SCSI-2 scanner to connect to the LVD Ultra-2 RAID controller (not
> > custom stuff though) (with the controller configured for SCSI-2
> > Fast).
> > 
> 
> can you try out 2.6.26 see trunk apt lines
> -> http://wiki.debian.org/DebianKernel

I tried the .26 kernel using the trunk apt shown with no luck.  I still
panics on boot, even with the scanner disconnected.  There appears to
be some difficulty with the interaction of the st tape driver and the
megraid_mbox driver (assuming the problem isn't the st tape driver
period, though I'd expect you'd already have more bug reports if that
was the case, and the panic output on the screen says that the problem
is in the megraid_mbox driver, though I can't see the entire panic
due to it being larger than a single screen).

Regards,

Daniel

-- 
And that's my crabbing done for the day.  Got it out of the way early, 
now I have the rest of the afternoon to sniff fragrant tea-roses or 
strangle cute bunnies or something.   -- Michael Devore
GnuPG Key Fingerprint 86 F5 81 A5 D4 2E 1F 1C      http://gnupg.org
No more sea shells:  Daniel's Weblog    http://cshore.wordpress.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 490903@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Daniel Dickinson <cshore@fionavar.ca>
Cc: 490903@bugs.debian.org
Subject: Re: Bug#490903: linux-image-2.6.25-2-686: It's the scanner that confuses the kernel
Date: Thu, 31 Jul 2008 09:26:52 +0200
On Thu, Jul 31, 2008 at 02:27:10AM -0400, Daniel Dickinson wrote:
> On Wed, 16 Jul 2008 10:57:44 +0200
> maximilian attems <max@stro.at> wrote:
> 
> > On Tue, 15 Jul 2008, Daniel Dickinson wrote:
> > 
> > > Package: linux-image-2.6.25-2-686
> > > Version: 2.6.25-6
> > > Followup-For: Bug #490903
> > > 
> > > 
> > > I just did a boot with the SCSI-2 scanner disconnected and 2.6.25-2
> > > boots sucessfully in that configuration with the megaraid.  I
> > > suspect it is the SCSI-2 scanner as a non-RAID device on channel 2
> > > that is confusing the megaraid_mbox driver.  It worked with
> > > 2.6.24-1 though, so it is still a regression, just not as serious
> > > since it means I can't use my scanner, but can use my tape drive
> > > and channel 1 raid array.
> > > 
> > > The scanner is connected with adaptors and cable that allow the SE
> > > SCSI-2 scanner to connect to the LVD Ultra-2 RAID controller (not
> > > custom stuff though) (with the controller configured for SCSI-2
> > > Fast).
> > > 
> > 
> > can you try out 2.6.26 see trunk apt lines
> > -> http://wiki.debian.org/DebianKernel
> 
> I tried the .26 kernel using the trunk apt shown with no luck.  I still
> panics on boot, even with the scanner disconnected.  There appears to
> be some difficulty with the interaction of the st tape driver and the
> megraid_mbox driver (assuming the problem isn't the st tape driver
> period, though I'd expect you'd already have more bug reports if that
> was the case, and the panic output on the screen says that the problem
> is in the megraid_mbox driver, though I can't see the entire panic
> due to it being larger than a single screen).

could you please report upstream on bugzilla.kernel.org
the debian kernel has no scsi specific patches.
and let us know the upstream bug number.

thanks

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@fionavar.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 490903@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@fionavar.ca>
To: maximilian attems <max@stro.at>
Cc: 490903@bugs.debian.org
Subject: Re: Bug#490903: linux-image-2.6.25-2-686: It's the scanner that confuses the kernel
Date: Thu, 31 Jul 2008 11:00:18 -0400
[Message part 1 (text/plain, inline)]
On Thu, 31 Jul 2008 09:26:52 +0200
maximilian attems <max@stro.at> wrote:

> could you please report upstream on bugzilla.kernel.org
> the debian kernel has no scsi specific patches.
> and let us know the upstream bug number.

Kernel Bugzilla #11194


-- 
And that's my crabbing done for the day.  Got it out of the way early, 
now I have the rest of the afternoon to sniff fragrant tea-roses or 
strangle cute bunnies or something.   -- Michael Devore
GnuPG Key Fingerprint 86 F5 81 A5 D4 2E 1F 1C      http://gnupg.org
No more sea shells:  Daniel's Weblog    http://cshore.wordpress.com
[signature.asc (application/pgp-signature, attachment)]

Noted your statement that Bug has been forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=11194. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 31 Jul 2008 15:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#490903; Package linux-image-2.6.25-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <cshore@fionavar.ca>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #42 received at 490903@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <cshore@fionavar.ca>
To: 490903@bugs.debian.org
Subject: [linux-image-2.6.25-2-686] Is a result of non-RAID devices on the controller
Date: Thu, 4 Sep 2008 02:12:08 -0400
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.25-2-686

--- Please enter the report below this line. ---

While it is supposed to work, and did prior to .25, non-RAID devices
(in my case on the second channel) on this controller is the affected
use case.  This is probably because of a change in the driver that
fails to address a bug in certain newer firmware, or a previous patch
for a bug in another card by the same vendor.  Moving the devices to a
different controller entirely is a workaround, if you have the
hardware/slots to do it.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.26-1-686

Debian Release: lenny/sid
  500 testing         security.debian.org 
  500 testing         mirror.csclub.uwaterloo.ca 
  500 stable          security.debian.org 
  500 stable          debian.yorku.ca 

--- Package information. ---
Depends       (Version) | Installed
=======================-+-===========
                        | 





-- 
And that's my crabbing done for the day.  Got it out of the way early, 
now I have the rest of the afternoon to sniff fragrant tea-roses or 
strangle cute bunnies or something.   -- Michael Devore
GnuPG Key Fingerprint 86 F5 81 A5 D4 2E 1F 1C      http://gnupg.org
The C Shore: http://www.wightman.ca/~cshore
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `linux-image-2.6.25-2-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 14 Sep 2008 07:33:28 GMT) Full text and rfc822 format available.

Changed Bug submitter from Daniel Dickinson <cshore@fionavar.ca> to cshore@brucetelecom.com. Request was from Daniel Dickinson <cshore@bmts.com> (by way of Daniel Dickinson <cshore@bmts.com>) to control@bugs.debian.org. (Wed, 04 Mar 2009 23:43:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-2.6. (Wed, 15 Feb 2012 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 23:45:04 GMT) Full text and rfc822 format available.

Message #51 received at 490903@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Daniel Dickinson <cshore@fionavar.ca>
Cc: 490903@bugs.debian.org, Frederic LIETART <thelinuxfr@free.fr>
Subject: Re: [2.6.24 -> 2.6.25 regression] kernel panic on boot with megaraid_mbox driver
Date: Wed, 15 Feb 2012 17:43:05 -0600
found 490903 linux-2.6/2.6.25-6
found 490903 linux-2.6/2.6.26-1
tags 490903 + upstream moreinfo
quit

Hi,

Daniel Dickinson wrote:

> While it is supposed to work, and did prior to .25, non-RAID devices
> (in my case on the second channel) on this controller is the affected
> use case.  This is probably because of a change in the driver that
> fails to address a bug in certain newer firmware, or a previous patch
> for a bug in another card by the same vendor.  Moving the devices to a
> different controller entirely is a workaround, if you have the
> hardware/slots to do it.

Do I understand correctly that the kernel panics would occur with some
firmware versions and not with others?

Do you still have access to the affected hardware?  If so, how is it
coping these days?  Did later firmware updates or kernel upgrades
change anything?

Curious,
Jonathan




Bug Marked as found in versions linux-2.6/2.6.25-6. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:45:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:45:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream and moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-2.6. (Wed, 15 Feb 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #62 received at 490903@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Daniel Dickinson <debian@cshore.neomailbox.net>
Cc: 490903@bugs.debian.org, Frederic LIETART <thelinuxfr@free.fr>
Subject: Re: [2.6.24 -> 2.6.25 regression] kernel panic on boot with megaraid_mbox driver
Date: Wed, 15 Feb 2012 17:45:41 -0600
(resending with newer address for Daniel)
Hi,

Daniel Dickinson wrote:

> While it is supposed to work, and did prior to .25, non-RAID devices
> (in my case on the second channel) on this controller is the affected
> use case.  This is probably because of a change in the driver that
> fails to address a bug in certain newer firmware, or a previous patch
> for a bug in another card by the same vendor.  Moving the devices to a
> different controller entirely is a workaround, if you have the
> hardware/slots to do it.

Do I understand correctly that the kernel panics would occur with some
firmware versions and not with others?

Do you still have access to the affected hardware?  If so, how is it
coping these days?  Did later firmware updates or kernel upgrades
change anything?

Curious,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490903; Package linux-2.6. (Mon, 20 Feb 2012 19:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Feb 2012 19:51:07 GMT) Full text and rfc822 format available.

Message #67 received at 490903@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 490903@bugs.debian.org
Subject: [daniel@cshore.neomailbox.net: Re: [2.6.24 -> 2.6.25 regression] kernel panic on boot with megaraid_mbox driver]
Date: Mon, 20 Feb 2012 13:47:15 -0600
[Message part 1 (text/plain, inline)]
tags 490903 - moreinfo + unreproducible
quit

Forwarding with permission.
[Message part 2 (message/rfc822, inline)]
From: Daniel Dickinson <daniel@cshore.neomailbox.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: [2.6.24 -> 2.6.25 regression] kernel panic on boot with megaraid_mbox driver
Date: Mon, 20 Feb 2012 01:47:55 -0500
On Wed, 15 Feb 2012 17:45:41 -0600
Jonathan Nieder <jrnieder@gmail.com> wrote:

> (resending with newer address for Daniel)
> Hi,
> 
> Daniel Dickinson wrote:
> 
> > While it is supposed to work, and did prior to .25, non-RAID devices
> > (in my case on the second channel) on this controller is the
> > affected use case.  This is probably because of a change in the
> > driver that fails to address a bug in certain newer firmware, or a
> > previous patch for a bug in another card by the same vendor.
> > Moving the devices to a different controller entirely is a
> > workaround, if you have the hardware/slots to do it.
> 
> Do I understand correctly that the kernel panics would occur with some
> firmware versions and not with others?
> 

That was the case, yes.

> Do you still have access to the affected hardware?  If so, how is it
> coping these days?  Did later firmware updates or kernel upgrades
> change anything?

I no longer have the hardware.  The drives were in a production system
that had to get rebuilt because of the issue, and I got gave away the
cards.

-- 
<erno> hm. I've lost a machine.. literally _lost_. it responds to ping, 
it works completely, I just can't figure out where in my apartment it
is. 


Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 19:51:12 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 19:51:13 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 01 Nov 2012 18:16:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:09:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.